1
avtx30
XSNS - Social Networking Service not compatible with xoops
  • 2008/4/8 12:23

  • avtx30

  • Not too shy to talk

  • Posts: 181

  • Since: 2006/10/12


Sadly it does not work on XOOPS (2.0.x, 2.2.x)

I works perfect on XOOPS Cube Legacy:
http://www.nhatban.net/demo/xoopscube/

From Damaster [at] xoopscube:
Quote:

The purpose of this module is to group XOOPS registered users interested in talking with other users about a specific topic, or if you prefer, to group some members to exchange ideas about a topic, upload pictures and files.

XSNS version 1.1.0 is translated to english, bugfix and comes with new features

Compatibility D3 (Duplicatable V3)
Community features

+Community popular viewing features
+Community administrator editing feature set
+image upload feature
+file upload function (document)
+Less post comments support the view Less
+event notification feature
My page features

+community participation, display My Friend's
+recent information of community participation
+display recent information of friends blog
+My Friend's show features testimonials
+function to display: Weblog, WeblogD3, WordPress XOOPS Module
+information of new site features
Admin page

+General Settings
+Image management features
+File management functions
+Simple feature access analysis

2
maketravel
Re: XSNS - Social Networking Service not compatible with xoops
  • 2008/4/8 14:45

  • maketravel

  • Just popping in

  • Posts: 35

  • Since: 2008/3/20


great module, unfortunately not under XOOPS ...

3
avtx30
Re: XSNS - Social Networking Service not compatible with xoops
  • 2008/4/8 14:55

  • avtx30

  • Not too shy to talk

  • Posts: 181

  • Since: 2006/10/12


It is for xoops.

But xoops.org now is not that XOOPS because it broke the defined XOOPS specifications since 2.0.14. Sadly....

Have fun testing many XOOPS here:
http://www.nhatban.net/demo/index.html

You will see XSNS works natively with XOOPS Cube Legacy and XOOPS 2.0.16a-JP which is the true XOOPS that follow defined specifications for xoops2. XSNS does not work with others (xoops 2.0.18.1, XOOPS 2.2.6, XOOPS 2.3.0-alpha2, ?????.cms).

4
Mamba
Re: XSNS - Social Networking Service not compatible with xoops
  • 2008/4/8 16:22

  • Mamba

  • Moderator

  • Posts: 11245

  • Since: 2004/4/23


Well, how could we fix the problem?

I'm getting:

Fatal error: Call to a member function on a non-object in /home/trustedpath/modules/xsns/userlib/class/commonView.php on line 11

which is

Quote:
$this->tpl->assign(array(


So it seems like '$this' is no longer a valid object

But I have no idea why it works in X-Cube, but not in XOOPS.

Are you getting the same error?

BTW, I'm also receiving this error:

Quote:
SELECT * FROM xoops2_xsns_c_image WHERE (target = '1' AND target_id IN ())
Error number: 1064
Error message: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '))' at line 1
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

5
avtx30
Re: XSNS - Social Networking Service not compatible with xoops
  • 2008/4/8 22:30

  • avtx30

  • Not too shy to talk

  • Posts: 181

  • Since: 2006/10/12


Quote:

But I have no idea why it works in X-Cube, but not in XOOPS.


XSNS is designed for xoops2. XOOPS2 JP and XOOPS Cube Legacy layer haven't changed the DB-Structure form XOOPS2, so XSNS works perfect on these.

But XSNS does not work on Xoops.org because Xoops.org (since version 2.0.14) has done some DB changes. One of them is the way templates are handled.

We must fix problems ourself if we want to use this module. I have the same error to your

SELECT FROM xoops20_xsns_c_image WHERE (target '1' AND target_id IN ())
Error number1064
Error message
You have an error in your SQL syntaxcheck the manual that corresponds to your MySQL server version for the right syntax to use near '))' at line 1

6
damaster
Re: XSNS - Social Networking Service not compatible with xoops
  • 2008/4/9 11:02

  • damaster

  • Just can't stay away

  • Posts: 556

  • Since: 2003/5/11


Seems that 2.3 won't fix such issue nor feature
a solution to original xoops2. But since XCL
is source of inspiration, one can hope to see
full compatibility. Thanks for sharing!

Have Fun!

^^
I like people more than machines or money. But that's me!
Lets do something good and great: Lets do open source!

7
avtx30
Re: XSNS - Social Networking Service not compatible with xoops
  • 2008/4/9 12:09

  • avtx30

  • Not too shy to talk

  • Posts: 181

  • Since: 2006/10/12


Plus that 2.3 makes Altsys stop to work. I am wondering how can I live without Altsys...

This is the error:
Quote:

Error: Class XoopsBlockinstanceHandler does not exist


- Altsys 0.57
- XOOPS 2.3.0-alpha2
- Apache 2.2.x, MySQL 5.0.x, PHP 5.2.x

8
Mamba
Re: XSNS - Social Networking Service not compatible with xoops
  • 2008/4/9 16:13

  • Mamba

  • Moderator

  • Posts: 11245

  • Since: 2004/4/23


I'm with you on AltSys - we better make it 2.3 compatible with AltSys
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

9
skelink
Re: XSNS - Social Networking Service not compatible with xoops
  • 2008/4/19 10:37

  • skelink

  • Just popping in

  • Posts: 9

  • Since: 2007/8/26


and he works perfect with hodajuku, hodajuku is a better xoopscube.

hodajuku cms

skelink

10
avtx30
Re: XSNS - Social Networking Service not compatible with xoops
  • 2008/4/19 12:36

  • avtx30

  • Not too shy to talk

  • Posts: 181

  • Since: 2006/10/12


Hodajuku (XOOPS Cube Legacy distribution with high-quality modules ready to used on a production environment) looks so good. It will be perfect if it were faster. It is said that by including 'mainfile.php' XOOPS Cube loads 159 classes, 51 functions, and 278 constants into memory. This takes about 4MB of RAM

Login

Username:
Password:

Lost Password? Register now!

Who's Online

70 user(s) are online (43 user(s) are browsing Support Forums)


Members: 0


Guests: 70


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: May 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits